aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/matchbox-sato
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/matchbox-sato
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.bz2
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.zip
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/matchbox-sato')
-rwxr-xr-xrecipes/matchbox-sato/matchbox-sato/etc/matchbox/session15
-rw-r--r--recipes/matchbox-sato/matchbox-sato/matchbox-session24
-rw-r--r--recipes/matchbox-sato/matchbox-sato_0.1.bb29
3 files changed, 68 insertions, 0 deletions
diff --git a/recipes/matchbox-sato/matchbox-sato/etc/matchbox/session b/recipes/matchbox-sato/matchbox-sato/etc/matchbox/session
new file mode 100755
index 0000000000..8c8f953b47
--- /dev/null
+++ b/recipes/matchbox-sato/matchbox-sato/etc/matchbox/session
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+. /etc/formfactor/config
+
+if [ -e /dev/touchscreen/touchscreen0 ]; then
+ SHOWCURSOR="no"
+else
+ SHOWCURSOR="yes"
+fi
+
+matchbox-desktop &
+
+matchbox-panel --titlebar --start-applets showdesktop,windowselector --end-applets clock,battery,systray,startup &
+
+exec matchbox-window-manager -theme Sato -use_desktop_mode decorated -use_cursor $SHOWCURSOR $@
diff --git a/recipes/matchbox-sato/matchbox-sato/matchbox-session b/recipes/matchbox-sato/matchbox-sato/matchbox-session
new file mode 100644
index 0000000000..65f1ce72ca
--- /dev/null
+++ b/recipes/matchbox-sato/matchbox-sato/matchbox-session
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# Very simple session manager for matchbox tools
+#
+
+# Uncomment below to enable parsing of debian menu entrys
+# export MB_USE_DEB_MENUS=1
+
+if [ -e $HOME/.matchbox/session ]
+then
+exec $HOME/.matchbox/session
+fi
+
+if [ -e /etc/matchbox/session ]
+then
+exec /etc/matchbox/session
+fi
+
+# Default files to run if $HOME/.matchbox/session or /etc/matchbox/session
+# dont exist.
+
+matchbox-desktop &
+matchbox-panel --orientation south &
+exec matchbox-window-manager $@
diff --git a/recipes/matchbox-sato/matchbox-sato_0.1.bb b/recipes/matchbox-sato/matchbox-sato_0.1.bb
new file mode 100644
index 0000000000..b622f24586
--- /dev/null
+++ b/recipes/matchbox-sato/matchbox-sato_0.1.bb
@@ -0,0 +1,29 @@
+DESCRIPTION = "Custom MB session files for poky"
+LICENSE = "GPL"
+SECTION = "x11"
+RDEPENDS = "gtk-sato-engine matchbox-theme-sato gtk-theme-sato matchbox-panel-2 matchbox-desktop-sato"
+RCONFLICTS = "matchbox-common"
+PR = "r17"
+
+SRC_URI = "file://etc file://matchbox-session"
+S = ${WORKDIR}
+
+do_install() {
+ install -d ${D}/${bindir}
+ install -m 0755 ${S}/matchbox-session ${D}/${bindir}
+ cp -R ${S}/etc ${D}/etc
+ rm -fR ${D}/etc/.svn
+ rm -fR ${D}/etc/matchbox/.svn
+ chmod -R 755 ${D}/etc
+}
+
+pkg_postinst_matchbox-sato () {
+#!/bin/sh -e
+if [ "x$D" != "x" ]; then
+ exit 1
+fi
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults --direct --type string --set /desktop/poky/interface/theme Sato
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults --direct --type string --set /desktop/poky/interface/icon_theme Sato
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults --direct --type string --set /desktop/poky/interface/font_name "Sans 9"
+}